Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.boot
Class MadkitClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  madkit.boot.MadkitClassLoader

    public class MadkitClassLoader

extends java.net.URLClassLoader

Constructor Summary
`MadkitClassLoader(java.net.URL[] urls)`
`MadkitClassLoader(java.net.URL[] urls, java.lang.ClassLoader parent)`

Method Summary
`void` | `addClassToReload(java.lang.String name)`
`void` | `addDir(java.io.File dir)`
`void` | `addURL(java.net.URL url)`
`protected java.lang.Class` | `findClass(java.lang.String name)`
`protected java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)`
`static MadkitClassLoader` | `newMadkitClassLoader(java.io.File[] jars, java.lang.ClassLoader parent)`

Methods inherited from class java.net.URLClassLoader
`definePackage, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MadkitClassLoader

    public MadkitClassLoader(java.net.URL[] urls,
                             java.lang.ClassLoader parent)

### MadkitClassLoader

    public MadkitClassLoader(java.net.URL[] urls)

Method Detail

### newMadkitClassLoader

    public static MadkitClassLoader newMadkitClassLoader(java.io.File[] jars,
                                                         java.lang.ClassLoader parent)

### addURL

    public void addURL(java.net.URL url)

  Overrides:
    `addURL` in class `java.net.URLClassLoader`

### addDir

    public void addDir(java.io.File dir)

### findClass

    protected java.lang.Class findClass(java.lang.String name)
                                 throws java.lang.ClassNotFoundException

  Overrides:
    `findClass` in class `java.net.URLClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

### addClassToReload

    public void addClassToReload(java.lang.String name)

### loadClass

    protected java.lang.Class loadClass(java.lang.String name,
                                        boolean resolve)
                                 throws java.lang.ClassNotFoundException

  Overrides:
    `loadClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.